

/* ======================== body ================================== */



body{
		margin: 0;
		font-family: 'Open Sans', sans-serif;
		line-height: 1.9;
}

* {
	box-sizing : border-box;
}

.container {
	max-width: 1140px;
	margin : 0 auto;
	padding : 0 2rem;
}

img{
  max-width:100%;
  height:auto;
}




/* ========================= text ==============================*/


h2{
 margin-top: 0;
 text-align:center;
 font-family: 'Montserrat', sans-serif;
 font-size: 45px;
 margin-bottom: 60px;
 padding-top: 60px;
 color: #8a19a5;
}

h3{
 font-family: 'Montserrat', sans-serif;
}

p{
  color: #9b9b9b;
}

a{
 text-decoration: none;
 list-style-type:  none;
}




/* ===============header================= */




header{
	background:  url(../img/moiaccueil1---Copie.jpg);
	min-height: 85vh;
	background-size: cover;
	margin: 0;
}


h1{
	margin: 0;
	font-size:45px;
	color: #53d1f0;
	display: flex;
	flex-direction: column;
	/*justify-content:  flex-end;*/
	margin-right: 330px;
  	padding-top: 200px;
	font-family: 'Dosis', sans-serif;
	/*font-family: 'Exo 2', sans-serif;
	padding-left: 80%;*/

}



/* ========================pour le mobile=============== */



.close {
	display : none;
}


.close:target {
	display : block;
}

.close:target + .open {
	display : none;
}

	
.burger {
  position : absolute;
  top : 1rem;
  right : 1rem;
  font-size : 2em;
  color:#53d1f0;
 
}



.close:target ~ nav {
  transform : translateY(0);
}

@media only screen and (max-width: 1440px){
	
	nav {

  position : absolute;
  top : 5em; 
  left : 0; right : 0;
  z-index : 50000;  transform : translateY(-1000px);
  background : #fff; will-change : transform; 
  transition-property : transform;
  transition-duration : 1s;
}

	
}


nav a {
  text-transform: uppercase;
   font-family: 'Montserrat', sans-serif;
	color:#8a19a5;
	}

nav a {
    display : block; 
    padding : 1em;
    border-top : 1px solid #222; 
	text-align: center;
	
}

nav li{
	list-style-type: none;
}
nav a:first-child {
  border : none; 
}



.banner  .liensmenu:hover,
.banner  .liensmenu:active,
.banner  .liensmenu.active  {

  	border-bottom : 2px solid #fff;
	color: #53d1f0;
	font-size: 18px;
}


/* ============== nav ================= */




@media only screen and (min-width: 1439px) {
.burger {
    display : none;
  }

	
nav{
	position:fixed ;
	right: 0;
	list-style: none;
	display: flex;
	flex-flow: column nowrap;
	justify-content:  flex-end;
	width: 180px;
	height: 150px;
}
	
nav a {
 text-decoration: none;
 padding: 1em;
 font-size: 15px;
 color:#ba38da;
 font-family: 'Montserrat', sans-serif;
}

ul{
	padding: 0;
}


li{
	list-style-type: none;
	text-transform: uppercase;
}


.liensmenu:after{
	content: " ";
    position: fixed;
    right: 10px;
    background: rgba(0, 0, 0, 0.1);
    width: 6px;
    height: 6px;
    border-radius: 50%;
	margin-top: 10px;
	margin-left: 20px;

}


nav li a{
	display: block;
}
	
	
}
/* ============ section compétences ================ */



.competence{
	background-color: #f5f5f5;


}


.forme  {
	display: flex;
	flex-flow: row wrap;
	justify-content: space-evenly;
	margin : 0;
	padding : 0;
	list-style: none;
	font-size: 16px;
    text-align: center;

}

.forme li img{
	display: inline-block;
	text-align: center;
}



.case{
	background-color: white;
	border-radius: 15px;
	position: relative;
	top: -105px;
	box-shadow: 0px 0px 20px rgba(0,0,0,0.2);
	padding-bottom: 80px;
}

/*=============== a propos de moi ============= */



.about{
	background-color: white;
	padding-bottom: 50px;
}

.col1{
	display: flex;
	flex-flow: row nowrap;

}

.col1 > * {
	width : 50% ;
	padding: 20px;
}


.text h2{
	margin-bottom: 30px;
}

.mac{
	width: 600px;
}

button{

	/*border-radius: 10px;
	border: 3px double #272B2F;
	color: white;
	padding: 15px 32px;
	font-size: 16px;
	margin: 4px 2px;
	cursor: pointer;



	cursor: pointer;
  padding:20px;
  border: 3px double #272B2F;
  border-radius: 0;
  background-color: transparent;
  font-size: 11px;
  letter-spacing: 4px;
  text-transform: uppercase;
  -webkit-appearance: none;*/

	background: #ba38da;  /* fallback for old browsers */
	background: -webkit-linear-gradient(to right, #53d1f0, #ba38da);  /* Chrome 10-25, Safari 5.1-6 */
	background: linear-gradient(to right, #53d1f0, #ba38da); /* W3C, IE 10+/ Edge, Firefox 16+, Chrome 26+, Opera 12+, Safari 7+ */
	padding:20px;
	color:white;
	font-size: 20px;
	border-radius: 20px;
	text-transform: uppercase;
	border: solid 0px ;
}

.mac img{
  max-width:100%;
  height:auto;
	padding-top: 100px;
}

.text p{
	padding-bottom: 20px;
}
/* =========== portfolio 3 card ============ */

#portfolio{
	background-color: #f5f5f5;
	padding-bottom: 100px;
}

.ulmes3cards {
  display: flex;
	flex-flow: row wrap;
	justify-content: space-evenly;
	margin : 0;
	padding : 0;
	list-style: none;
	font-size: 16px;
  text-align: center;
  cursor: pointer;
}



/* ===================== card ================== */

@media screen and (max-width: 600px){
	.card{
		width: 90%;
	}
}



.card{
  position:relative;
  width: 30%;
  background-color: white;
  box-shadow: 0px 0px 20px rgba(0,0,0,0.1);
  transition: box-shodow 0.3s;
  border-radius: 20px 20px 20px 20px;
}

.card:hover{
  box-shadow: 0px 0px 50px rgba(0,0,0,0.9);
}


.card-image{
  background-color:#53d1f0;
  display: block;
  height: 235px;
  position: relative;
	border-radius: 20px 20px 0px 0px;

}
.card-image img{
  display: block;
  opacity: 1;
  transition: opacity 0.3s;
  border-radius: 20px 20px 0px 0px;
  width: 100%;
  height: 100%;	
}

.card:hover .card-image img{
  border-radius: 20px 20px 0px 0px;
	opacity: 0.6 ;

}


.card-body{
position: relative;
padding: 20px;
border-radius: 20px 20px 20px 20px;
overflow: hidden;


}
.categorie{
  position: absolute;
  display: block;
  z-index: 2000;
  height: 25px;
  padding: 0 15px;
  left: 0;
  top: 210px;
  background-color: pink;
  text-transform: uppercase;
  font-size: 15px;
  color: white;
  border-radius: 0 5px 0 0;
}


h3{
  padding: 0 0 0 10px;
}


/* ================= modal 1 ============== */


.c-dialog-modal1 {
  position: fixed;
  z-index: 100000;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  display: flex;
  padding: 2.4rem;
  overflow-y: scroll;
  transition: .2s;
}


.c-dialog__box1 {
  flex: 1;
  max-width: 900px;
  margin: auto;
  padding: 2.4rem;
  background-color: white;
}


.c-dialog[aria-hidden="true"] {
  visibility: hidden;
  opacity: 0;
}



/* ================= modal 2 ============== */


.c-dialog-modal2 {
  position: fixed;
  z-index: 100000;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  display: flex;
  padding: 2.4rem;
  overflow-y: scroll;
  -webkit-overflow-scrolling: touch;
  background-color: rgba(black, .75);
  transition: .2s;
}


.c-dialog__box2 {
  flex: 1;
  max-width: 900px;
  margin: auto;
  padding: 2.4rem;
  background-color: white;

}

.c-dialog__box2 img{
	width: 900px;
	height: auto;
}

/* ================= modal 3 ============== */

.c-dialog-modal3 {
  position: fixed;
  z-index: 100000;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  display: flex;
  padding: 2.4rem;
  overflow-y: scroll;
  -webkit-overflow-scrolling: touch;
  background-color: rgba(black, .75);
  transition: .2s;
}


.c-dialog__box3 {
  flex: 1;
  max-width: 900px;
  margin: auto;
  padding: 2.4rem;
  background-color: white;
}

/* ============== mesboxs ============================= */

.mesicons{
	background-color: black;
	padding-bottom: 100px;
}


.mesboxs{
	/* height: 700px; */
 
	display: flex;
	flex-flow: row nowrap;
}

.mesboxs > *{
	width: 50%;
}

/*box-shadow: 0 2px 2px 0 rgba(0,0,0,.1); */

.icon{
	 height: 750px; 
	width: 330px;
	background-color: black;
	border-radius: 6px;
	margin-left: 100px;
	padding-top: 70px;
}

.mesdiv div{
	/* height: 300px; */
	width: 300px;	
	
	margin: 0;
	margin-left: 200px;
	margin-top: 30px;
}

.tata{
	position: relative;
	background-size: contain;
}

.bibi{
	position: relative;
	background-size: cover;
}
h4{
	color: white;	
	background-color: #46335f;
	display: inline;
	position: absolute;
    padding: 5px;
    border-radius: 0px 10px 0px 0px;
	bottom: -12px;
    left: 0px;
}


.mesicons h2{
	color: white;
	text-align: left;
	
}

/* ==================== contact ======================== */

.formulaire{
	display: flex;
    align-items: center;
    justify-content: center;

}


.contact{
	margin-bottom: 100px;
}

form{
	width: 800px;
}

.contact-mes{
	position: relative;
  clear: both;
}


label{
	z-index: 2;
  position: absolute;
  top: -6px;
  left: 10px;
  padding-right: 1px;
  padding-left: 5px;
  background-color: #fff;
  line-height: 1;
  display: block;
  font-size: 14px;
  letter-spacing: 4px;
  text-transform: uppercase;
  color: #ba38da ;
}

.contact-name, .contact-email, .contact-tel {
	position: relative;	
  	float: left;
 	width: 33.33%;
}

.contact-name, .contact-email{
	padding-right: 20px;
	padding-bottom: 20px;
}

input[type=text], input[type=email], textarea{
	width: 100%;
	border: #53d1f0 solid 1px;
	padding: 8px 10px;
	border-radius: 10px;
}

@media only screen and (max-width: 1000px){
	
	.contact-name, .contact-email, .contact-tel{
	padding-right: 0px;
	padding-bottom: 0px;
}
	.contact-name, .contact-email, .contact-tel {
	position: relative;
	width: 100%;
 
}

}



/* ========================================== footer =======================*/

footer{	
	padding: 10px;
	background-color : black;
}

 footer p{
 		color : white;
}
